const Roll = (event) => {
  let msg = event.message;
  let cmd1 = msg.match(/^,r (-?[0-9]+)$/);
  let cmd2 = msg.match(/^,r (-?[0-9]+) (-?[0-9]+)$/);

  const random = (min, max) => {
    return Math.floor(
      Math.random() * (Number(max) - Number(min) + 1) + Number(min)
    );
  };

  if (/^,r$/.test(msg)) {
    event.reply(`Roll from 1 to 100 => [ ${random(1, 100)} ]`);
    //
  } else if (/^,r (-?[0-9]+)$/.test(msg)) {
    event.reply(
      `Roll from 1 to ${cmd1[1].trim()} => [ ${random(1, cmd1[1].trim())} ]`
    );
    //
  } else if (/^,r (-?[0-9]+) (-?[0-9]+)$/.test(msg)) {
    event.reply(
      `Roll from ${cmd2[1].trim()} to ${cmd2[2].trim()} => [ ${random(
        cmd2[1].trim(),
        cmd2[2].trim()
      )} ]`
    );
    //
  }
};

export default Roll;
