import Database from "better-sqlite3";

const InitDB = () => {
  const db = new Database("./db/users.db", null);
  const createTable = `CREATE TABLE IF NOT EXISTS users (
    id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
    nick TEXT,
    city TEXT,
    createdAt TEXT
  )`;

  db.exec(createTable);
};

export default InitDB;
